吵吵   2011-06-12  阅读:2,990

今天在用ubuntu的时候出现了一个问题,我输入的命令是sudo apt-get autoremove 本来是想自动删除一些软件的,因为昨天才更新到11.04.出现的问题是:
dpkg-query:警告:parsing file ‘/var/lib/dpkg/status’ near line 3909 package ‘spoonwep-spoonwpa-modified’:
版本字符串 BT3 中有错误: version number does not start with digit

bt3中有错误啊,版本号没有以一个数字开始
我们编辑一下/var/lib/dpkg/status
vim /var/lib/dpkg/status
在地3909中找到这个包
Package: spoonwep-spoonwpa-modified
Status: install ok installed
Priority: optional
Section: net
Installed-Size: 10240
Maintainer: shamanVirtual
Architecture: i386
Version: BT3
Description: Gui of aircrack-ng
Homepage:
原来它的vesion写成了BT3
我把它改成1.0
然后保存:wq
发现是只读文件
强制保存:wq!
还是不行啊
我卸载你行不
sudo apt-get remove spoonwep-spoonwpa-modified
然后再试试sudo apt-get autoremove
不弹错误了吧,spoonwep和spoonwpa是用来破解无线网络的,不知到什么时候装上去的,删除了应该也没有问题的。

吵吵微信朋友圈,请付款实名加入:

吵吵 吵吵

一条回应:“dpkg只支持纯数字的版本号问题”

  1. Barbi说道:

    Heck yeah bay-bee keep them cmoing!

发表评论

电子邮件地址不会被公开。 必填项已用*标注